"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
class ApiKeyCheck extends common_1.Kommand {
    async runSafe() {
        const { valid } = await this.sdk.auth.checkToken(this.args.token);
        if (valid) {
            this.logOk("API key is still valid");
        }
        else {
            this.logKo("API key is not valid");
        }
    }
}
ApiKeyCheck.description = "Checks an API key validity";
ApiKeyCheck.flags = Object.assign({ help: command_1.flags.help() }, kuzzle_1.kuzzleFlags);
ApiKeyCheck.args = [
    { name: "token", description: "API key token", required: true },
];
ApiKeyCheck.examples = ["kourou api-key:check eyJhbG...QxfQrc"];
exports.default = ApiKeyCheck;
