"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
class ApiKeyCreate extends common_1.Kommand {
    async runSafe() {
        const apiKey = await this.sdk.security.createApiKey(this.args.user, this.flags.description, {
            _id: this.flags.id,
            expiresIn: this.flags.expire,
        });
        this.logOk(`Successfully created API Key "${apiKey._id}" for user "${this.args.user}"`);
        this.log(apiKey._source.token);
    }
}
ApiKeyCreate.description = "Creates a new API Key for a user";
ApiKeyCreate.flags = Object.assign({ help: command_1.flags.help(), description: command_1.flags.string({
        char: "d",
        description: "API Key description",
        required: true,
    }), id: command_1.flags.string({
        description: "API Key unique ID",
    }), expire: command_1.flags.string({
        description: "API Key validity",
        default: "-1",
    }) }, kuzzle_1.kuzzleFlags);
ApiKeyCreate.args = [{ name: "user", description: "User kuid", required: true }];
exports.default = ApiKeyCreate;
