"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
class ApiKeyDelete extends common_1.Kommand {
    async runSafe() {
        await this.sdk.security.deleteApiKey(this.args.user, this.args.id);
        this.logOk(`Successfully deleted API Key "${this.args.id}" of user "${this.args.user}"`);
    }
}
ApiKeyDelete.description = "Deletes an API key.";
ApiKeyDelete.flags = Object.assign({ help: command_1.flags.help() }, kuzzle_1.kuzzleFlags);
ApiKeyDelete.args = [
    { name: "user", description: "User kuid", required: true },
    { name: "id", description: "API Key unique ID", required: true },
];
ApiKeyDelete.examples = ["kourou vault:delete sigfox-gateway 1k-BF3EBjsXdvA2PR8x"];
exports.default = ApiKeyDelete;
