"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const elasticsearch_1 = require("@elastic/elasticsearch");
const common_1 = require("../../../common");
class EsGet extends common_1.Kommand {
    async runSafe() {
        const esClient = new elasticsearch_1.Client({ node: this.flags.node });
        const esRequest = {
            index: this.args.index,
            id: this.args.id,
        };
        const { body } = await esClient.get(esRequest);
        this.log(JSON.stringify(body, null, 2));
    }
}
exports.default = EsGet;
EsGet.initSdk = false;
EsGet.description = "Gets a document from ES";
EsGet.flags = {
    help: command_1.flags.help(),
    node: command_1.flags.string({
        char: "n",
        description: "Elasticsearch server URL",
        default: "http://localhost:9200",
    }),
};
EsGet.args = [
    { name: "index", description: "ES Index name", required: true },
    { name: "id", description: "Document ID", required: true },
];
