"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const elasticsearch_1 = require("@elastic/elasticsearch");
const common_1 = require("../../../common");
class EsInsert extends common_1.Kommand {
    async runSafe() {
        const esClient = new elasticsearch_1.Client({ node: this.flags.node });
        const esRequest = {
            index: this.args.index,
            id: this.flags.id,
            body: this.flags.body,
        };
        await esClient.index(esRequest);
        this.logOk("Document successfully inserted.");
    }
}
exports.default = EsInsert;
EsInsert.initSdk = false;
EsInsert.description = "Inserts a document directly into ES (will replace if exists)";
EsInsert.flags = {
    body: command_1.flags.string({
        description: "Document body in JSON",
        default: "{}",
    }),
    id: command_1.flags.string({
        description: "Document ID",
    }),
    node: command_1.flags.string({
        char: "n",
        description: "Elasticsearch server URL",
        default: "http://localhost:9200",
    }),
    help: command_1.flags.help(),
};
EsInsert.args = [
    { name: "index", description: "ES Index name", required: true },
];
