import { flags } from "@oclif/command";
import { PaasKommand } from "../../../support/PaasKommand";
declare class PaasEsDump extends PaasKommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        project: flags.IOptionFlag<string | undefined>;
        "batch-size": import("@oclif/parser/lib/flags").IOptionFlag<number>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    runSafe(): Promise<void>;
    /**
      * @description Get all indexes from the Elasticsearch of the PaaS application.
      * @returns The indexes.
      */
    private getAllIndexes;
    /**
      * @description Dump documents from the Elasticsearch of the PaaS application.
      * @param pitId ID of the PIT opened on Elasticsearch.
      * @param searchAfter Cursor for dumping documents after a certain one.
      * @returns The dumped documents.
      */
    private dumpDocuments;
    private dumpAllDocuments;
    /**
      * @description Finish the document dumping session.
      * @param pitId ID of the PIT opened on Elasticsearch.
      */
    private finishDump;
}
export default PaasEsDump;
