import { flags } from "@oclif/command";
import chalk from "chalk";
import { PaasKommand } from "../../support/PaasKommand";
declare class PaasLogs extends PaasKommand {
    static description: string;
    static flags: {
        follow: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        timestamp: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        project: flags.IOptionFlag<string | undefined>;
        tail: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        podName: flags.IOptionFlag<string | undefined>;
        since: flags.IOptionFlag<string | undefined>;
        until: flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    /**
     * Allowed colors for pod names.
     */
    private readonly allColors;
    /**
     * Available colors for pod names.
     */
    private availableColors;
    /**
     * The color to use for pod names.
     * @private
     */
    private podsColor;
    runSafe(): Promise<void>;
    /**
     * Returns the color to use for a pod name.
     * @param podName Name of the pod.
     * @returns The color to use.
     */
    getPodColor(podName: string): chalk.Chalk;
}
export default PaasLogs;
