"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const command_1 = require("@oclif/command");
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
const restore_securities_1 = require("../../support/restore-securities");
class RoleImport extends common_1.Kommand {
    async runSafe() {
        this.logInfo(`Importing roles from ${this.args.path} ...`);
        const dump = JSON.parse(fs_1.default.readFileSync(this.args.path, "utf-8"));
        const count = await (0, restore_securities_1.restoreRoles)(this, dump, this.flags["preserve-anonymous"]);
        this.logOk(`${count} roles restored`);
    }
}
exports.default = RoleImport;
RoleImport.description = "Import roles";
RoleImport.flags = Object.assign(Object.assign({ "preserve-anonymous": command_1.flags.boolean({
        description: "Preserve anonymous rights",
        default: false,
    }), help: command_1.flags.help({}) }, kuzzle_1.kuzzleFlags), { protocol: command_1.flags.string({
        description: "Kuzzle protocol (http or websocket)",
        default: "ws",
    }) });
RoleImport.args = [{ name: "path", description: "Dump file", required: true }];
