"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const path_1 = (0, tslib_1.__importDefault)(require("path"));
const command_1 = require("@oclif/command");
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
class UserExportMappings extends common_1.Kommand {
    async runSafe() {
        const filename = path_1.default.join(this.flags.path, "users-collection-mappings.json");
        this.logInfo(`Exporting users collection mappings in ${filename} ...`);
        fs_1.default.mkdirSync(this.flags.path, { recursive: true });
        const mapping = await this.sdk.security.getUserMapping();
        const dump = {
            type: "usersMappings",
            content: mapping,
        };
        fs_1.default.writeFileSync(filename, JSON.stringify(dump, null, 2));
        this.logOk("Users collection mappings dumped");
    }
}
exports.default = UserExportMappings;
UserExportMappings.description = "Exports users collection mappings to JSON.";
UserExportMappings.flags = Object.assign(Object.assign({ help: command_1.flags.help({}), path: command_1.flags.string({
        description: "Dump directory",
        default: "users",
    }) }, kuzzle_1.kuzzleFlags), { protocol: command_1.flags.string({
        description: "Kuzzle protocol (http or websocket)",
        default: "ws",
    }) });
