"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const common_1 = require("../../common");
const kuzzle_1 = require("../../support/kuzzle");
const restore_securities_1 = require("../../support/restore-securities");
class UserImport extends common_1.Kommand {
    async runSafe() {
        this.logInfo(`Importing users from ${this.args.path} ...`);
        const dump = JSON.parse(fs_1.default.readFileSync(this.args.path, "utf-8"));
        const count = await (0, restore_securities_1.restoreUsers)(this, dump);
        this.logOk(`${count} users restored`);
    }
}
exports.default = UserImport;
UserImport.description = "Imports users";
UserImport.flags = Object.assign(Object.assign({ help: command_1.flags.help({}) }, kuzzle_1.kuzzleFlags), { protocol: command_1.flags.string({
        description: "Kuzzle protocol (http or websocket)",
        default: "ws",
    }) });
UserImport.args = [{ name: "path", description: "Dump file", required: true }];
