import { Command } from "@oclif/command";
import { KuzzleSDK } from "./support/kuzzle";
import { EditorParams } from "./support/editor";
export declare abstract class Kommand extends Command {
    protected sdk: KuzzleSDK;
    private exitCode;
    private telemetry;
    args: any;
    flags: any;
    static initSdk: boolean;
    static disableLog: boolean;
    static readStdin: boolean;
    static keepAuth: boolean;
    stdin: string | undefined;
    sdkOptions: any;
    protected kourouDir: string;
    constructor(argv: any, config: any);
    private get logSilent();
    protected createKourouDir(): void;
    printCommand(): void;
    log(message?: string): void;
    logOk(message: string): void;
    logInfo(message: string): void;
    logKo(message?: string): void;
    run(): Promise<number>;
    beforeConnect(): void;
    runSafe(): Promise<void>;
    /**
     * Reads a value from STDIN.
     *
     * @returns {String} Parsed input
     */
    fromStdin(): string | undefined;
    fromEditor(defaultContent: Record<string, unknown> | string, options?: EditorParams): Record<string, unknown>;
    parseJs(input?: string): any;
}
/**
 * An iteration-order-safe version of lodash.values
 *
 * @param object The object containing the values
 * @param fields The field names to pick in the right order
 * @returns The values in the same order as the fields
 * @see https://lodash.com/docs/4.17.15#values
 */
export declare function pickValues(object: any, fields: string[]): any[];
/**
 * Formats the value for correct CSV output, avoiding to return
 * values that would badly serialize in CSV.
 *
 * @param value The value to format
 * @returns The value or a string telling the value is not scalar
 */
export declare function formatValueForCSV(value: any): any;
