import { Provider } from ".";
export declare type ElasticsearchProviderOptions = {
    scrollDuration: string;
    batchSize: number;
};
export declare class Elasticsearch implements Provider {
    private readonly client;
    private readonly options;
    constructor(url: string, options: ElasticsearchProviderOptions);
    listIndices(pattern?: string): Promise<string[]>;
    getIndex(index: string): Promise<any>;
    createIndex(index: string, specifications: any): Promise<void>;
    readData(index: string, args: any): Promise<any>;
    writeData(index: string, docs: any): Promise<number>;
    clear(): Promise<void>;
}
