import { JSONObject } from "kuzzle-sdk";
export declare function restoreCollectionData(sdk: any, log: any, batchSize: number, dumpFile: string, index?: string, collection?: string, migrateDocument?: (document: JSONObject) => JSONObject): Promise<{
    total: number;
    collection: string;
    index: string;
}>;
/**
 * Imports mappings from a collection mappings dump
 * Expected format:
 * {
 *   type: 'mappings',
 *   content: {
 *     index: {
 *       collection: {
 *         // mappings
 *       }
 *     }
 *   }
 * }
 *
 * @param {Kuzzle} sdk - Kuzzle SDK instance
 * @param {String} dump - Dump object (type, content)
 * @param {String} index - Override index name
 * @param {String} collection - Override collection name
 * @returns {void}
 */
export declare function restoreCollectionMappings(sdk: any, dump: any, index?: string, collection?: string): Promise<{
    index: any;
    collection: any;
}>;
